# signature.php

## Verifies a signed message

<mark style="color:blue;">`GET`</mark> `https://solpay.solblaze.org/signature.php`

The signature endpoint takes in three parameters: address, message, and signature. The address parameter is for the signing address, the message is for the text which was signed, and the signature is for the signed message (which can be obtained through [signMessage](/reference/sdk-reference/sign-message.md)). The endpoint returns whether the signature is valid.

#### Query Parameters

| Name                                        | Type   | Description     |
| ------------------------------------------- | ------ | --------------- |
| address<mark style="color:red;">\*</mark>   | string | signing address |
| message<mark style="color:red;">\*</mark>   | string | original text   |
| signature<mark style="color:red;">\*</mark> | string | signed text     |

{% tabs %}
{% tab title="200: OK success - the signature is valid" %}

```javascript
{
    "status": "success",
    "verified": true
}
```

{% endtab %}

{% tab title="200: OK success - the signature is invalid" %}

```javascript
{
    "status": "success",
    "verified": false
}
```

{% endtab %}

{% tab title="200: OK error - missing parameters" %}

```javascript
{
    "status": "error",
    "error": "Missing parameters, endpoint requires the following fields: address, message, signature."
}
```

{% endtab %}

{% tab title="200: OK error - maintenance mode" %}

```javascript
{
    "status": "error",
    "error": "SOL Pay is in maintenance mode, please try again in a few minutes."
}
```

{% endtab %}

{% tab title="200: OK error - extended maintenance mode" %}

```javascript
{
    "status": "error",
    "error": "SOL Pay is in extended maintenance mode, please try again later."
}
```

{% endtab %}

{% tab title="200: OK error - unknown" %}

```javascript
{
    "status": "error",
    "error": "An unknown error occurred, please try again in a few minutes."
}
```

{% endtab %}
{% endtabs %}

### Example Request:

```
https://solpay.solblaze.org/signature.php?address=SIGNING_ADDRESS&message=MESSAGE&signature=SIGNATURE
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://solpay-docs.solblaze.org/reference/api-reference/signature.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
